Bug 146962 - Track Changes: Deleting rows in Hide Changes mode doesn't hide the deleted rows immediately (only changing to Show Changes, and back to Hide Changes)
Summary: Track Changes: Deleting rows in Hide Changes mode doesn't hide the deleted ro...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.2
Keywords:
Depends on:
Blocks: Track-Changes-Table
  Show dependency treegraph
 
Reported: 2022-01-24 12:40 UTC by NISZ LibreOffice Team
Modified: 2022-04-29 12:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Writer with a table (10.14 KB, application/vnd.oasis.opendocument.text)
2022-01-24 12:41 UTC, NISZ LibreOffice Team
Details
Screenshot from the problem (16.24 KB, application/pdf)
2022-01-24 12:42 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2022-01-24 12:40:25 UTC
Description:
In Hide Changes mode tracked table row deletion leaves empty cells:

Steps to Reproduce:
    1. Open attached file
    2. Enable hide changes mode
    3. Delete a row  

Actual Results:
It leaves an empty row

Expected Results:
It should not leave empty row


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: bf883027ee62ece0844730572305094f53daa521
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2022-01-24 12:41:58 UTC
Created attachment 177746 [details]
Example file from Writer with a table
Comment 2 NISZ LibreOffice Team 2022-01-24 12:42:56 UTC
Created attachment 177747 [details]
Screenshot from the problem
Comment 3 Commit Notification 2022-02-28 15:32:40 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a74c51025fa4519caaf461492e4ed8e68bd34885

tdf#146962 sw: hide deleted row at deletion in Hide Changes

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-03-01 13:10:46 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/dc3f29bca53ef365ec12694feefe76f0e81eccfa

tdf#146962 sw: hide deleted row at deletion in Hide Changes

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2022-03-08 07:30:58 UTC
Verified in.
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 6adabd915d931b845fcf2fef15fbf3fca14ec9b3
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: threaded